# Class AnimateCacheProvider

- Defined in src/animations/animate-cache.js:78

##### Index

### Constructors

constructor

### Properties

$get

## Constructors

### constructor

- new AnimateCacheProvider(): AnimateCacheProvider

  #### Returns AnimateCacheProvider

  - Defined in src/animations/animate-cache.js:78

## Properties

### $get

$get: (
() => {
cacheKey(
node: HTMLElement,
method: string,
addClass?: string,
removeClass?: string,
): string;
containsCachedAnimationWithoutDuration(key: string): boolean;
count(key: string): number;
flush(): void;
get(key: string): any;
put(key: string, value: any, isValid: boolean): void;
}
)[]

- Defined in src/animations/animate-cache.js:79